> ## Documentation Index
> Fetch the complete documentation index at: https://docs.galileo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Merge Signals

> Merge selected Signals into a target without combining their records.



## OpenAPI

````yaml https://api.galileo.ai/public/v2/openapi.json post /v2/projects/{project_id}/runs/{run_id}/signals/{signal_id}/merge
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://api.galileo.ai
    description: Galileo Public APIs - galileo-v2
security: []
paths:
  /v2/projects/{project_id}/runs/{run_id}/signals/{signal_id}/merge:
    post:
      tags:
        - signals-v2
      summary: Merge Signals
      description: Merge selected Signals into a target without combining their records.
      operationId: >-
        merge_signals_v2_projects__project_id__runs__run_id__signals__signal_id__merge_post
      parameters:
        - name: project_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Project Id
        - name: signal_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Signal Id
        - name: run_id
          in: path
          required: true
          schema:
            type: string
            format: uuid4
            title: Run Id
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SignalMergeUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SignalMergeResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - ClassicAPIKeyHeader: []
        - OAuth2PasswordBearer: []
        - HTTPBasic: []
components:
  schemas:
    SignalMergeUpdate:
      properties:
        signal_ids:
          items:
            type: string
            format: uuid4
          type: array
          maxItems: 20
          minItems: 1
          title: Signal Ids
      additionalProperties: false
      type: object
      required:
        - signal_ids
      title: SignalMergeUpdate
      description: Signals to merge into or unmerge from the Signal in the route.
    SignalMergeResponse:
      properties:
        data:
          $ref: '#/components/schemas/SignalMergeResult'
      additionalProperties: false
      type: object
      required:
        - data
      title: SignalMergeResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    SignalMergeResult:
      properties:
        target_signal_id:
          type: string
          format: uuid4
          title: Target Signal Id
        signal_ids:
          items:
            type: string
            format: uuid4
          type: array
          title: Signal Ids
      additionalProperties: false
      type: object
      required:
        - target_signal_id
        - signal_ids
      title: SignalMergeResult
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: Splunk-AO-API-Key
    ClassicAPIKeyHeader:
      type: apiKey
      in: header
      name: Galileo-API-Key
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: https://api.galileo.ai/login
    HTTPBasic:
      type: http
      scheme: basic

````